Subject: Illinois
From: "Michael B" <[email-masked]>
To: "Dave Brake" <[email-masked]>
Date: Fri, 7 Mar 2014 14:59:29 -0500

Hello Dave.
I spoke with Steve this morning about the number of complaints I have been getting for Illinois.  I believe that it is probably directly linked to the post on the Secretary of State website.  See link below.  Steve wanted to talk to you about it and wanted me to bring it to your attention so you both could discuss it.
http://www.cyberdriveillinois.com/departments/business_services/home.html

Also, we have been getting calls about LARA (MI) calling and mentioning the post about us.  What I found was the post from February 2013 which advises customers to do 3 things;
1. Keep the notice, mailing envelope, and return envelope.
2. Contact the United States Postal Inspections Service to report mail fraud at: (877) 876-2455 or http://postalinspectors.uspis.gov/forms/MailFraudComplaint.aspx
3. Or contact the Michigan Office of the Attorney General at P.O. Box 30212, Lansing, MI 48909.

It doesn't look like there is anything showing any kind of a rebuttal.

Thank you,
Michael B
LLPS